<?php

//Library to get recent tweets and display them as a UL
//
//
//Written by: Oliver Smith
//http://chemicaloliver.net
//
//

function get_feed($username,$limit,$timeout)
        {

            $cache_file = dirname(__FILE__).'/cache/'.$username.'-twitter-cache';
            $last = filemtime($cache_file);
            $now = time();

            if($now-$last > $timeout)
                {
                    $c = curl_init();
                    curl_setopt($c, CURLOPT_URL, "http://twitter.com/statuses/user_timeline/".$username.".xml?count=".$limit);
                    curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
                    $src = curl_exec($c);
                    curl_close($c);
                    if(strlen($src)>500)
                        {
                            $cache_static = fopen($cache_file, 'w');
                            fwrite($cache_static, $src);
                            fclose($cache_static);
                        }
                }

            $xml = simplexml_load_file($cache_file);
    echo '<ul>';
    foreach($xml->status as $entry)
            {
        if(strlen($entry->text)>3)
                {
                    echo "<li>".'<a href="http://twitter.com/'.$username.'/status/'.$entry->id.'">'.($entry->text)."</a>";
                    echo '</li>';
                }
    }
    echo "</ul>";
        }
?>
